FN11 plugin install errors

Status
Not open for further replies.

rsqdivr

Cadet
Joined
Feb 1, 2014
Messages
8
I have been trying to get the plugins to install on a fresh FN 11 build but have only been able to get PlexPlus to actually take. Sabnzbd and CP both return very similar errors with lots of reference to python. I've done searches for similar issues and can't find any. Do any of you have a suggestion or recognize what's happening? I did enable autotunables but not much else yet as it's a fresh install. Performing install under root user also.

Error text below:
**********************
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
iocage.fetch(**options)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
props, accept_license=accept, official=official)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 689, in fetch_plugin_index
props, 0, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 115, in fetch_plugin
self.__fetch_plugin_inform__(conf, num, plugins, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 215, in __fetch_plugin_inform__
silent=self.silent)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 82, in logit
_callback({"level": level, "message": msg}, exit_on_error)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 55, in callback
log.log(15, message)
File "/usr/local/lib/python3.6/logging/__init__.py", line 1372, in log
self._log(level, msg, args, **kwargs)
File "/usr/local/lib/python3.6/logging/__init__.py", line 1442, in _log
self.handle(record)
File "/usr/local/lib/python3.6/logging/__init__.py", line 1452, in handle
self.callHandlers(record)
File "/usr/local/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
hdlr.handle(record)
File "/usr/local/lib/python3.6/logging/__init__.py", line 863, in handle
self.emit(record)
File "/usr/local/lib/freenasOS/__init__.py", line 152, in emit
_msg)
TypeError: [priority,] message string
"""
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
await self.future
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
job,
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
TypeError: [priority,] message string

**********************
 

rsqdivr

Cadet
Joined
Feb 1, 2014
Messages
8
here are the stats on my box hardware.
 

Attachments

  • freenas box.png
    freenas box.png
    46.1 KB · Views: 258
Status
Not open for further replies.
Top